# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlPNG.hpp File Reference

`#include "vl/ResourceLoadWriter.hpp"`
`#include "vl/ResourceDatabase.hpp"`

## Classes
class | vl::LoadWriterPNG
| The LoadWriterPNG class is a ResourceLoadWriter capable of reading PNG files. More...
## Namespaces
namespace | vl
| Visualization Library namespace.

## Defines
#define | ioPNG_INCLUDE_ONCE
## Functions
ref< Image > | vl::loadPNG (VirtualFile *file)
ref< Image > | vl::loadPNG (const String &path)
bool | vl::isPNG (VirtualFile *file)
bool | vl::savePNG (const Image *src, const String &path, int compression=6)
bool | vl::savePNG (const Image *src, VirtualFile *file, int compression=6)

## Define Documentation

#define ioPNG_INCLUDE_ONCE

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:51 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.